Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.factory
Interface ButtonFactory

All Superinterfaces:
  Factory

All Known Subinterfaces:
  ToolbarFactory

All Known Implementing Classes:
  DefaultButtonFactory, DefaultToolbarFactory

    public interface ButtonFactory

extends Factory

Defines factory methods that the library will use to creating buttons.

See Also:
  `MenuFactory`, `ToolbarFactory`, `DefaultButtonFactory`, `Defaults.setButtonFactory(com.pietschy.command.factory.ButtonFactory)`

Method Summary
`javax.swing.JButton` | `createButton()` ú * A factory method for `JButton`s.
`javax.swing.JCheckBox` | `createCheckBox()` A factory method for `JCheckBox`s.
`javax.swing.JRadioButton` | `createRadioButton()` A factory method for `JRadioButton`s.
`javax.swing.AbstractButton` | `createToggleButton()` A factory method for ToggleButtons.

Method Detail

### createButton

    javax.swing.JButton createButton()

  ú * A factory method for `JButton`s.

  Returns:
    A new `JButton`.

### createToggleButton

    javax.swing.AbstractButton createToggleButton()

  A factory method for ToggleButtons. The `DefaultButtonFactory` creates instances of `JToggleButton`s. Other factories may create non-standard implementations but are constrained to ensure that `ItemListener` notifications is consistent with that of `JToggleButton`s.

  Returns:
    A new `JToggleButton`.

### createCheckBox

    javax.swing.JCheckBox createCheckBox()

  A factory method for `JCheckBox`s.

  Returns:
    A new `JCheckBox`.

### createRadioButton

    javax.swing.JRadioButton createRadioButton()

  A factory method for `JRadioButton`s.

  Returns:
    A new `JRadioButton`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch